/***************************************************************************
 *   Copyright (C) 2007-2010 by Helge Kortendieck  alan@kasmithee.de       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         *
 ***************************************************************************/

#ifndef _ABOUTHELP_H_
#define _ABOUTHELP_H_

#include <QDialog>
#include <QPoint>

#include "ui_abouthelp.h"


class AboutHelp : public QDialog
{
    Q_OBJECT

public:
	AboutHelp(QDialog* parent = 0  );
		~AboutHelp();

private:
	int iD;
	int iD2;
	int iDlg;					// dialog type: 1=about, 2=help, 3=no tray icon
	
	Ui::Help uih;				// help widget

	QDialog wHelp;				// help widget

	QPoint qPos;

	QString sHelp;				// about/help text

private slots:
	void dlgClose();			// close dialog
	void dlgShow( int iD );		// show dialog: 1=about, 2=help, 3=no tray icon

	void textSet();				// set text to show acc dialog type

	signals:
		void sigDelAhw();
};

#endif
